<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

<xsl:output method="html" indent="yes" encoding="utf-8" doctype-public="-//W3C//DTD HTML 4.01 Transitional//EN"/>
<xsl:strip-space elements="*"/>
<xsl:include href="buttons.xsl"/>

<xsl:template match="LAYOUT">
	<xsl:variable name="cID" select="@ID"/>
<HTML>
<!-- av-073 -->
    <head>
		<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
		<xsl:apply-templates select="META-TAGS"/>
		<link href="css/styles.css" rel="stylesheet" type="text/css"/>
		</head>
<body style="margin:0; background-color:#E6E6E6;">
<table width="100%" height="100%" border="0" align="center" cellpadding="0" cellspacing="0">
  <tr>
    <td valign="top" bgcolor="E6E6E6" style="padding-left:102px; padding-right:102px; padding-top:27px;padding-bottom:18px;"><table width="100%" height="100%"  border="0" align="center" cellpadding="0" cellspacing="5" bgcolor="#FFFFFF">
      <tr>
        <td valign="top" bgcolor="#FFFFFF">
            <table width="100%" height="100%" border="0" align="center" cellpadding="0" cellspacing="0">
              <tr>
                <td height="51" valign="top">
				 <table width="100%"  border="0" cellspacing="0" cellpadding="0">
                    <tr>
                      <td height="51" background="images/menu_bg.jpg"><table width="100%" border="0" cellspacing="0" cellpadding="0">
                        <tr>
                          <td><img src="images/blank.gif" width="6" height="1" alt="" /></td>
                          <td width="100%"><table border="0" align="center" cellpadding="0" cellspacing="0"><xsl:call-template name="TOP-MENU"/></table></td>
                          <td><img name="" src="images/blank.gif" width="4" height="1" alt="" /></td>
                        </tr>
                      </table>					  </td>
                    </tr>
                  </table>
				  
				 </td></tr>
				 <tr><td height="222" style="background:url(images/header_bg.jpg) repeat-x;" >
				 
                    <table width="100%" height="222" border="0" cellspacing="0" cellpadding="0" style="background:url(images/header.jpg) no-repeat right;">
                      <tr>
                        <td align="left" valign="middle" style="padding-left:20px; ">
						 <table border="0" cellspacing="10" cellpadding="0">
                          <tr>
                            <td align="center" ><a href="./"><img src="images/{LOGO/@NAME}" border="0" alt=""/></a></td>
                          </tr>
                          <tr>
                            <td align="center" valign="bottom" class="company"><xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/></td>
                          </tr>
                          <tr>
                            <td align="center" valign="top" class="slogan"><xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/></td>
                          </tr>
                        </table>
						<table width="300" height="0" border="0" cellpadding="0" cellspacing="0"><tr><td ></td></tr></table>
						</td>
                      </tr>
                    </table>

				 </td></tr>
				 <tr><td height="47">
				 					
                    <table width="100%"  border="0" cellspacing="0" cellpadding="0">
                      <tr>
                        <td height="47" background="images/submenu_bg.jpg" align="center">
						<table border="0" cellpadding="0" cellspacing="0">
  							<tr><td align="center" style="padding-left:20px;padding-right:20px ">
								<table border="0" cellpadding="0" cellspacing="0"><xsl:call-template name="SUB-MENU"><xsl:with-param name="pageID" select="@ID"/></xsl:call-template></table>
							</td></tr>
						</table>
						</td>
                      </tr>
                    </table>
					
				 </td></tr>
				 <tr><td >
					
                    <table width="100%"  height="100%" border="0" cellspacing="0" cellpadding="0">
                      <tr>
                        <td width="15"><img name="" src="images/blank.gif" width="15" height="1" alt=""/></td>
                        <td valign="top"><table width="100%" height="100%"  border="0" align="center" cellpadding="0" cellspacing="0">
                          <tr>
                            <td height="55"><table border="0" cellspacing="0" cellpadding="0">
                                <tr>
                                  <td class="text-header"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
                                  <td width="30" class="text-header" valign="bottom"><div align="right"><img src="images/t_icon.gif" width="21" height="19" /></div></td>
                                </tr>
                            </table></td>
                          </tr>
                          <tr>
                            <td class="pageContent" name="SB_stretch"  valign="top"><xsl:apply-templates select="PAGE-CONTENT"/></td>
                          </tr>
                        </table></td>
                        <td width="15" ></td>
                      </tr>
                    </table>
		  
				</td></tr>
				<tr><td height="80" align="center"> 
				
					<table width="100%"  border="0" cellpadding="0" cellspacing="0" >
                      <tr>
                        <td height="20" ><hr width="95%" size="1" color="#E5E5E5" height="1"/></td>
                      </tr>
                    </table>
					
				    <table  border="0" align="center" cellpadding="0" cellspacing="0">
                      <tr>
                        <td height="30" style="padding-left:20px;padding-right:20px "><table width="100%" border="0" cellspacing="0" cellpadding="0"><xsl:call-template name="BOTTOM-MENU"/></table></td>
                      </tr>
                    </table>
                    <table border="0" align="center" cellpadding="0" cellspacing="0">
                      <tr>
                        <td height="30" align="center" class="footer"><xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/></td>
                      </tr>
                  	</table>
					
				 </td>
              </tr>
          </table></td>
      </tr>
    </table></td>
  </tr>
</table>

</body>
</HTML>

</xsl:template>


<xsl:template name="TOP-MENU">
		<xsl:apply-templates select="MENU" mode="top"/>	
</xsl:template>


<xsl:template name="SUB-MENU">
	<xsl:param name="pageID"/>
	<xsl:choose>
		<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
		<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
			<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
	</xsl:choose>
</xsl:template>
	
<xsl:template match="MENU-ITEM" mode="sub">
	<xsl:choose>
		<xsl:when test="@ID=/LAYOUT/@ID" >
	<td class="asubmenu"  align="center"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
		</xsl:when>
		<xsl:otherwise>
			<xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">
	<td align="center"><a href="{@HREF}" class="submenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
			</xsl:if>
		</xsl:otherwise>
	</xsl:choose>
	<xsl:if test="position()!=last()">
	<td><img src="images/submenu_bullet.gif" width="10" height="47" hspace="8" /></td>
	</xsl:if>
</xsl:template>	

<xsl:template name="BOTTOM-MENU">   		
	<xsl:apply-templates select="MENU" mode="bottom"/>			
</xsl:template>

<xsl:template match="MENU" mode="bottom">
	<xsl:apply-templates select="MENU-ITEM"  mode="bottom"/>
</xsl:template>
		
<xsl:template match="MENU-ITEM"  mode="bottom">
	<xsl:choose>
       <!-- when vizited inside-->
       	<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID">
			<td><a href="{@HREF}" class="abmenu" id="abmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
           </xsl:when>
           <!-- when active-->
           
           <xsl:otherwise>
 			<td><a href="{@HREF}" class="bmenu" id="bmenu{position()}"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
           </xsl:otherwise>
       </xsl:choose>
  		<xsl:if test="position()!=last()">
			<td width="5"></td>
			<td><img src="images/bmenu_separator.gif" alt="" style="margin: 0px 5px 0px 5px;"/></td>
			<td width="5"></td>
  		</xsl:if>
</xsl:template>
	
<xsl:template match="META-TAGS">
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	
<xsl:template match="*" mode="meta-tags">
	<meta name="{local-name(.)}"><xsl:attribute name="content"><xsl:value-of select="." disable-output-escaping="yes"/></xsl:attribute></meta>
</xsl:template>


<xsl:template match="PAGE-CONTENT">
	<xsl:comment> EDITABLE CONTENT </xsl:comment>
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	     	
</xsl:stylesheet>
