<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

<xsl:output method="html" indent="yes" encoding="utf-8" doctype-public="-//W3C//DTD HTML 4.01 Transitional//EN"/>
<xsl:strip-space elements="*"/>
<xsl:include href="buttons.xsl"/>

<xsl:template match="LAYOUT">
	<xsl:variable name="cID" select="@ID"/>
	<HTML>
<!-- av-236 -->
    <head>
		<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
		<xsl:apply-templates select="META-TAGS"/>
		<link href="css/styles.css" rel="stylesheet" type="text/css"/>
	</head>
	<BODY MARGINHEIGHT="0" MARGINWIDTH="0" TOPMARGIN="0" RIGHTMARGIN="0" BOTTOMMARGIN="0" LEFTMARGIN="0">	
<table width="100%" height="100%" border="0" cellspacing="0" cellpadding="0" background="images/00_01.jpg">
  <tr>
    <td width="100%" height="100%" valign="top" style="padding: 50px;">
<center>
  <table width="100%" height="100%" border="0" cellpadding="0" cellspacing="0" background="images/00_01.jpg">
    <tr bgcolor="#FFFFFF">
      <td height="8" colspan="7"></td>
    </tr>
    <tr>
      <td width="6" height="121" bgcolor="#FFFFFF"><img src="images/00_06.jpg" width="6" height="50" alt="" /></td>
      <td colspan="5"  align="right" background="images/headerbg.jpg"><table width="100%"  border="0" cellspacing="0" cellpadding="0">
        <tr>
          <td height="189" align="left" style="background-image: url(images/header.jpg);
	background-repeat: no-repeat;
	background-position: right; padding-left: 30px; padding-right: 450px;">
	<!-- LOGO -->
						<table cellpadding="0" cellspacing="0" align="left" width="300">
							<tr><td align="center" style="padding-bottom:10px"><a href="./"><img src="images/{LOGO/@NAME}" border="0" alt=""/></a></td></tr>
							<tr><td align="center" valign="bottom" class="company"><xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/></td></tr>
							<tr><td align="center" valign="top" class="slogan"><xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/></td></tr>
						</table>
						<!-- END LOGO -->
	</td>
        </tr>
      </table></td>
       <td bgcolor="#FFFFFF" width="7"><img src="images/fff.gif" width="7" height="1" /></td>
    </tr>
    <tr bgcolor="#FFFFFF">
      <td height="1" colspan="7"></td>
    </tr>
    <tr>
      <td bgcolor="#FFFFFF"></td>
      <td width="24" align="left" background="images/00_15.jpg"><img src="images/00_14.jpg" width="24" height="45" alt="" /></td>
      <td colspan="3" align="center" background="images/00_15.jpg">
<!-- MENU -->
	  <table border="0" cellspacing="0" cellpadding="0">
        <tr>
          <xsl:call-template name="TOP-MENU"/>
        </tr>
      </table>
<!-- END MENU -->
	  </td>
      <td align="right" background="images/00_15.jpg" width="10"><img src="images/00_19.jpg" width="10" height="45" alt="" /></td>
      <td bgcolor="#FFFFFF"></td>
    </tr>
    <tr>
      <td bgcolor="#FFFFFF"></td>
      <td bgcolor="#FFFFFF"></td>
      <td width="190" bgcolor="#FFFFFF" valign="top">
<table width="120" border="0" cellspacing="0" cellpadding="0">
    <tr>
      <td><img src="images/fff.gif" width="190" height="20" /></td>
    </tr>
    <tr>
      <td align="left" valign="top">
	  <br/>
<!-- SUBMENU -->
	  <table width="164" border="0" cellpadding="0" cellspacing="0">
        <xsl:call-template name="SUB-MENU"><xsl:with-param name="pageID" select="@ID"/></xsl:call-template>
      </table>
<!-- END SUBMENU -->
        <br/>
	  </td>
    </tr>
  </table>
<br/>
  </td>
      <td width="1" height="1" background="images/00_22.jpg"><img src="images/00_22.jpg" width="1" height="27" alt="" /></td>
      <td  width="100%" height="100%" valign="top" bgcolor="#FFFFFF"  style="padding: 25px;">
			<!-- CONTENT -->
			<table cellpadding="0" cellspacing="0" border="0">
				<tr>
					<td class="text-header"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
					<td style="padding-left: 5px;"><img src="images/00_25.jpg" width="25" height="23" alt="" /></td>
		  		</tr>
			</table>
			<div style="width:0px; height:15px;"><span></span></div>
	   		<table width="100%" height="100%">
	   		  <tr><td width="100%" height="100%" valign="top" class="pageContent" name="SB_stretch"><xsl:apply-templates select="PAGE-CONTENT"/></td>
	   		  </tr>
			</table>
			<!-- END CONTENT -->
	  </td>
      <td bgcolor="#FFFFFF"></td>
      <td bgcolor="#FFFFFF"></td>
    </tr>
    <tr>
      <td bgcolor="#FFFFFF"></td>
      <td height="20" colspan="5" bgcolor="#FFFFFF"></td>
      <td bgcolor="#FFFFFF"></td>
    </tr>
    <tr>
      <td></td>
      <td colspan="5" align="center">
	<br/>
	  <!-- BOTTOM MENU -->
						<table cellpadding="0" cellspacing="0" align="center">
							<tr>
								<xsl:call-template name="BOTTOM-MENU"/>
							</tr>
						</table>
						<!-- END BOOTTOM MENU -->
						<div style="width:0px; height:10px;"><span></span></div>
						<!-- FOOTER -->
						<div align="center" class="footer"><xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/></div>
						<!-- END FOOTER -->
	  </td>
      <td></td>
    </tr>
  </table>
</center>
	
	</td>
  </tr>
</table>
	<!--sw_sb_ms-->
	</BODY>

	</HTML>
</xsl:template>


<xsl:template name="TOP-MENU">
		<xsl:apply-templates select="MENU" mode="top"/>	
</xsl:template>


<xsl:template name="SUB-MENU">
	<xsl:param name="pageID"/>
	<xsl:choose>
		<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
		<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
			<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
	</xsl:choose>
</xsl:template>
	
<xsl:template match="MENU-ITEM" mode="sub">
	<xsl:choose>
		<xsl:when test="@ID=/LAYOUT/@ID" >
 <tr>
     <td width="14"><img src="images/00_29.jpg" width="14" height="7" alt="" /></td>
     <td class="asubmenu" width="150" align="left"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
</tr>
		</xsl:when>
		<xsl:otherwise>
			<xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">
 <tr>
     <td width="14"><img src="images/00_29.jpg" width="14" height="7" alt="" /></td>
     <td  width="150" align="left"><a href="{@HREF}" class="submenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
</tr>
			</xsl:if>
		</xsl:otherwise>
	</xsl:choose>
	<xsl:if test="position()!=last()">
          <tr>
          <td colspan="2"><img src="images/00_32.jpg" width="164" height="14" alt="" /></td>
          </tr>
	</xsl:if>
</xsl:template>	

<xsl:template name="BOTTOM-MENU">   		
	<xsl:apply-templates select="MENU" mode="bottom"/>			
</xsl:template>

<xsl:template match="MENU" mode="bottom">
	<xsl:apply-templates select="MENU-ITEM"  mode="bottom"/>
</xsl:template>
		
<xsl:template match="MENU-ITEM"  mode="bottom">
	<xsl:choose>
       <!-- when vizited inside-->
       	<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID">
      <td width="20"><img src="images/00_38.gif" width="17" height="9" alt="" /></td>
	  <td><a href="{@HREF}" class="abmenu" id="abmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
           </xsl:when>
           <!-- when active-->
           
           <xsl:otherwise>
 	  <td width="20"><img src="images/00_38.gif" width="17" height="9" alt="" /></td>
	  <td><a href="{@HREF}" class="bmenu" id="bmenu{position()}"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
           </xsl:otherwise>
       </xsl:choose>
  		<xsl:if test="position()!=last()">
			<td width="10"></td>
  		</xsl:if>
</xsl:template>
	
<xsl:template match="META-TAGS">
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	
<xsl:template match="*" mode="meta-tags">
	<meta name="{local-name(.)}"><xsl:attribute name="content"><xsl:value-of select="." disable-output-escaping="yes"/></xsl:attribute></meta>
</xsl:template>


<xsl:template match="PAGE-CONTENT">
	<xsl:comment> EDITABLE CONTENT </xsl:comment>
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	     	
</xsl:stylesheet>
